system_disks_pkgs:
  pkg.installed:
    - pkgs:
      - btrfs-progs

system_disks_btrfs_module:
  file.append:
    - name: /etc/modules
    - text: "btrfs"
    - require:
      - system_base_pkgs

system_disks_btrfs_modprobe:
  cmd.run:
    - name: "modprobe btrfs"
    - require:
      - system_base_pkgs
      - system_disks_btrfs_module

system_disks_btrfs_mount_permission:
  file.directory:
    - name: /btrfs
    - user: root
    - group: root
    - dir_mode: '0755'

system_disks_fstab:
  file.managed:
    - name: /etc/fstab
    - source: salt://{{ tpldir }}/files/disks_fstab.jinja
    - template: jinja
    - context:
        TIMESTAMP: {{ salt['pillar.get']('timestamp') }}
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - system_disks_btrfs_mount_permission
